package cn.com.poc.agent_application.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.agent_application.entity.BizAgentApplicationApiFilesEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAgentApplicationApiFilesService extends BaseService {

    BizAgentApplicationApiFilesEntity get(java.lang.Long id) throws Exception;

    List<BizAgentApplicationApiFilesEntity> findByExample(BizAgentApplicationApiFilesEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAgentApplicationApiFilesEntity save(BizAgentApplicationApiFilesEntity entity) throws Exception;

    BizAgentApplicationApiFilesEntity update(BizAgentApplicationApiFilesEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}